ProMods 2.45 has been released. It runs on game version 1.36 and requires ALL map DLCs. It is not compatible with open beta 1.37.

Please note that due to the COVID-19 pandemic, we are sadly unable to expand our server capacity as per usual and the free download servers are likely to be overwhelmed upon release. Please be kind and patient or use the paid service for a better experience.

Real PM2.1

For problems that are not caused by ProMods
Locked
SturmZebra
Posts: 158
Joined: 03 Jan 2016 13:37
Location: County of Soest

09 Aug 2016 17:08

I just wanted to know if the compatibility tab (v. 2.1) is the right installer or is this kind of like a thing made by a hacker. This may sound kind of strange, but I just wanted to know after nothing changed for me (from 2.03)
Favourite games: Rainbow Six: Siege, ETS2, Terraria

SturmZebra
Posts: 158
Joined: 03 Jan 2016 13:37
Location: County of Soest

09 Aug 2016 17:13

This is cleared, all right. I'M sorry if I wasted somebody's time. This was a dumb thread. Peace out.
Favourite games: Rainbow Six: Siege, ETS2, Terraria



Locked
  • Information
  • Who is online

    Users browsing this forum: No registered users and 2 guests